[release] Autorelease oxygen failed to build odl-alto-resourcepool from alto


Jenkins <jenkins-dontreply@...>
 

Attention alto-devs,

Autorelease oxygen failed to build odl-alto-resourcepool from alto in build
119. Attached is a snippet of the error message related to the
failure that we were able to automatically parse as well as console logs.


Console Logs:
https://logs.opendaylight.org/releng/vex-yul-odl-jenkins-1/autorelease-release-oxygen/119

Jenkins Build:
https://jenkins.opendaylight.org/releng/job/autorelease-release-oxygen/119/

Please review and provide an ETA on when a fix will be available.

Thanks,
ODL releng/autorelease team


Gao Kai
 

I think the patch is good now.

However, somehow neither Jensen nor I have the committer access anymore. I add Thanh to the reviewer list and hopefully he can take a look and merge the patch.

https://git.opendaylight.org/gerrit/#/c/66597/3..2

ETA: as soon as the patch is merged.


On Sun, Jan 21, 2018 at 9:18 AM, Jenkins <jenkins-dontreply@...> wrote:
Attention alto-devs,

Autorelease oxygen failed to build odl-alto-resourcepool from alto in build
119. Attached is a snippet of the error message related to the
failure that we were able to automatically parse as well as console logs.


Console Logs:
https://logs.opendaylight.org/releng/vex-yul-odl-jenkins-1/autorelease-release-oxygen/119

Jenkins Build:
https://jenkins.opendaylight.org/releng/job/autorelease-release-oxygen/119/

Please review and provide an ETA on when a fix will be available.

Thanks,
ODL releng/autorelease team


_______________________________________________
alto-dev mailing list
alto-dev@....org
https://lists.opendaylight.org/mailman/listinfo/alto-dev




--
Kai Gao
PhD Candidate at Institute of Network Science and Cyberspace
Department of Computer Science and Technology
Tsinghua University, Beijing, China


Thanh Ha <thanh.ha@...>
 

Hi Kai,

On Sat, Jan 20, 2018 at 8:59 PM, Kai GAO <godrickk@...> wrote:
I think the patch is good now.

However, somehow neither Jensen nor I have the committer access anymore. I add Thanh to the reviewer list and hopefully he can take a look and merge the patch.

According to the alto committers group there are 3 committers currently, Kai, Jingxuan, and Richard. So you should be able to merge your own patches. If you're having account issues then please contact the helpdesk to get them resolved.

 
ETA: as soon as the patch is merged.
 
Patchset 3 is currently failing verify so it needs to at least pass before we can merge it. I've issued a recheck on patchset 3 and will merge it if it passes but if it doesn't I will need someone to resolve the merge issue.

Regards,
Thanh


Thanh Ha <thanh.ha@...>
 

On Sun, Jan 21, 2018 at 6:32 PM, Thanh Ha <thanh.ha@...> wrote:
Hi Kai,

On Sat, Jan 20, 2018 at 8:59 PM, Kai GAO <godrickk@...> wrote:
I think the patch is good now.

However, somehow neither Jensen nor I have the committer access anymore. I add Thanh to the reviewer list and hopefully he can take a look and merge the patch.

According to the alto committers group there are 3 committers currently, Kai, Jingxuan, and Richard. So you should be able to merge your own patches. If you're having account issues then please contact the helpdesk to get them resolved.

 
ETA: as soon as the patch is merged.
 
Patchset 3 is currently failing verify so it needs to at least pass before we can merge it. I've issued a recheck on patchset 3 and will merge it if it passes but if it doesn't I will need someone to resolve the merge issue.

Regards,
Thanh

I'm not sure what to do about the failure:

Error downloading mvn:org.opendaylight.yangtools/yang-model-export/2.0.1

Seems like perhaps a missing dependency declaration somewhere so karaf is not able to find the artifact. Anyone know what needs to be updated?

Regards,
Thanh
 


Gao Kai
 

Found the yangtools.version property is set to 2.0.0 in the feature. Change it to 2.0.1 and see if things work out.

On Mon, Jan 22, 2018 at 9:42 AM, Thanh Ha <thanh.ha@...> wrote:
On Sun, Jan 21, 2018 at 6:32 PM, Thanh Ha <thanh.ha@...> wrote:
Hi Kai,

On Sat, Jan 20, 2018 at 8:59 PM, Kai GAO <godrickk@...> wrote:
I think the patch is good now.

However, somehow neither Jensen nor I have the committer access anymore. I add Thanh to the reviewer list and hopefully he can take a look and merge the patch.

According to the alto committers group there are 3 committers currently, Kai, Jingxuan, and Richard. So you should be able to merge your own patches. If you're having account issues then please contact the helpdesk to get them resolved.

 
ETA: as soon as the patch is merged.
 
Patchset 3 is currently failing verify so it needs to at least pass before we can merge it. I've issued a recheck on patchset 3 and will merge it if it passes but if it doesn't I will need someone to resolve the merge issue.

Regards,
Thanh

I'm not sure what to do about the failure:

Error downloading mvn:org.opendaylight.yangtools/yang-model-export/2.0.1

Seems like perhaps a missing dependency declaration somewhere so karaf is not able to find the artifact. Anyone know what needs to be updated?

Regards,
Thanh
 



--
Kai Gao
PhD Candidate at Institute of Network Science and Cyberspace
Department of Computer Science and Technology
Tsinghua University, Beijing, China


Gao Kai
 

Hi Thanh,

The patch is now verified. Could you please merge the patch? Thanks!

Regards,
Kai


On Mon, Jan 22, 2018 at 2:45 PM, Kai GAO <godrickk@...> wrote:
Found the yangtools.version property is set to 2.0.0 in the feature. Change it to 2.0.1 and see if things work out.

On Mon, Jan 22, 2018 at 9:42 AM, Thanh Ha <thanh.ha@...> wrote:
On Sun, Jan 21, 2018 at 6:32 PM, Thanh Ha <thanh.ha@...> wrote:
Hi Kai,

On Sat, Jan 20, 2018 at 8:59 PM, Kai GAO <godrickk@...> wrote:
I think the patch is good now.

However, somehow neither Jensen nor I have the committer access anymore. I add Thanh to the reviewer list and hopefully he can take a look and merge the patch.

According to the alto committers group there are 3 committers currently, Kai, Jingxuan, and Richard. So you should be able to merge your own patches. If you're having account issues then please contact the helpdesk to get them resolved.

 
ETA: as soon as the patch is merged.
 
Patchset 3 is currently failing verify so it needs to at least pass before we can merge it. I've issued a recheck on patchset 3 and will merge it if it passes but if it doesn't I will need someone to resolve the merge issue.

Regards,
Thanh

I'm not sure what to do about the failure:

Error downloading mvn:org.opendaylight.yangtools/yang-model-export/2.0.1

Seems like perhaps a missing dependency declaration somewhere so karaf is not able to find the artifact. Anyone know what needs to be updated?

Regards,
Thanh
 



--
Kai Gao
PhD Candidate at Institute of Network Science and Cyberspace
Department of Computer Science and Technology
Tsinghua University, Beijing, China



--
Kai Gao
PhD Candidate at Institute of Network Science and Cyberspace
Department of Computer Science and Technology
Tsinghua University, Beijing, China


Jensen Zhang
 

I have merged this patch.

Best,
Jensen

On Mon, Jan 22, 2018 at 7:02 PM Kai GAO <godrickk@...> wrote:
Hi Thanh,

The patch is now verified. Could you please merge the patch? Thanks!

Regards,
Kai


On Mon, Jan 22, 2018 at 2:45 PM, Kai GAO <godrickk@...> wrote:
Found the yangtools.version property is set to 2.0.0 in the feature. Change it to 2.0.1 and see if things work out.

On Mon, Jan 22, 2018 at 9:42 AM, Thanh Ha <thanh.ha@...> wrote:
On Sun, Jan 21, 2018 at 6:32 PM, Thanh Ha <thanh.ha@...> wrote:
Hi Kai,

On Sat, Jan 20, 2018 at 8:59 PM, Kai GAO <godrickk@...> wrote:
I think the patch is good now.

However, somehow neither Jensen nor I have the committer access anymore. I add Thanh to the reviewer list and hopefully he can take a look and merge the patch.

According to the alto committers group there are 3 committers currently, Kai, Jingxuan, and Richard. So you should be able to merge your own patches. If you're having account issues then please contact the helpdesk to get them resolved.

 
ETA: as soon as the patch is merged.
 
Patchset 3 is currently failing verify so it needs to at least pass before we can merge it. I've issued a recheck on patchset 3 and will merge it if it passes but if it doesn't I will need someone to resolve the merge issue.

Regards,
Thanh

I'm not sure what to do about the failure:

Error downloading mvn:org.opendaylight.yangtools/yang-model-export/2.0.1

Seems like perhaps a missing dependency declaration somewhere so karaf is not able to find the artifact. Anyone know what needs to be updated?

Regards,
Thanh
 



--
Kai Gao
PhD Candidate at Institute of Network Science and Cyberspace
Department of Computer Science and Technology
Tsinghua University, Beijing, China



--
Kai Gao
PhD Candidate at Institute of Network Science and Cyberspace
Department of Computer Science and Technology
Tsinghua University, Beijing, China
_______________________________________________
alto-dev mailing list
alto-dev@...
https://lists.opendaylight.org/mailman/listinfo/alto-dev


Robert Varga <nite@...>
 

On 22/01/18 15:27, Jensen Zhang wrote:
I have merged this patch.
Thanks.

Would you consider https://git.opendaylight.org/gerrit/67447 to
completely remove this dependency, so alto is not afflicted from this in
future, please?

Thanks,
Robert


Gao Kai
 

Hi Robert,

That makes sense a lot.

Already merged. Thanks!

Regards,
Kai


On Tue, Jan 23, 2018 at 7:53 AM, Robert Varga <nite@...> wrote:
On 22/01/18 15:27, Jensen Zhang wrote:
> I have merged this patch.

Thanks.

Would you consider https://git.opendaylight.org/gerrit/67447 to
completely remove this dependency, so alto is not afflicted from this in
future, please?

Thanks,
Robert




--
Kai Gao
PhD Candidate at Institute of Network Science and Cyberspace
Department of Computer Science and Technology
Tsinghua University, Beijing, China